# Uses of Class
org.apache.lucene.index.MergeState

Packages that use MergeState
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.compressing
Compressing helper classes.
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.lucene90.compressing
Lucene 9.0 compressing format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.index
Code to maintain and access indices.

## Uses of MergeState in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs with parameters of type MergeState
Modifier and Type
Method
Description
`protected final void`
TermVectorsWriter.`addAllDocVectors(Fields vectors, MergeState mergeState)`
Safe (but, slowish) default method to write every vector field in the document.
`void`
DocValuesConsumer.`merge(MergeState mergeState)`
Merges in the fields from the readers in `mergeState`.
`void`
FieldsConsumer.`merge(MergeState mergeState, NormsProducer norms)`
Merges in the fields from the readers in `mergeState`.
`final void`
KnnVectorsWriter.`merge(MergeState mergeState)`
Merges the segment vectors for all fields.
`void`
NormsConsumer.`merge(MergeState mergeState)`
Merges in the fields from the readers in `mergeState`.
`void`
PointsWriter.`merge(MergeState mergeState)`
Default merge implementation to merge incoming points readers by visiting all their points and adding to this writer
`int`
StoredFieldsWriter.`merge(MergeState mergeState)`
Merges in the stored fields from the readers in `mergeState`.
`int`
TermVectorsWriter.`merge(MergeState mergeState)`
Merges in the term vectors from the readers in `mergeState`.
`void`
DocValuesConsumer.`mergeBinaryField(FieldInfo mergeFieldInfo, MergeState mergeState)`
Merges the binary docvalues from `MergeState`.
`static ByteVectorValues`
KnnVectorsWriter.MergedVectorValues.`mergeByteVectorValues(FieldInfo fieldInfo, MergeState mergeState)`
Returns a merged view over all the segment's `ByteVectorValues`.
`static FloatVectorValues`
KnnVectorsWriter.MergedVectorValues.`mergeFloatVectorValues(FieldInfo fieldInfo, MergeState mergeState)`
Returns a merged view over all the segment's `FloatVectorValues`.
`void`
NormsConsumer.`mergeNormsField(FieldInfo mergeFieldInfo, MergeState mergeState)`
Merges the norms from `toMerge`.
`void`
DocValuesConsumer.`mergeNumericField(FieldInfo mergeFieldInfo, MergeState mergeState)`
Merges the numeric docvalues from `MergeState`.
`void`
BufferingKnnVectorsWriter.`mergeOneField(FieldInfo fieldInfo, MergeState mergeState)`
`void`
KnnVectorsWriter.`mergeOneField(FieldInfo fieldInfo, MergeState mergeState)`
Write field for merging
`protected void`
PointsWriter.`mergeOneField(MergeState mergeState, FieldInfo fieldInfo)`
Default naive merge implementation for one field: it just re-indexes all the values from the incoming segment.
`void`
DocValuesConsumer.`mergeSortedField(FieldInfo fieldInfo, MergeState mergeState)`
Merges the sorted docvalues from `toMerge`.
`void`
DocValuesConsumer.`mergeSortedNumericField(FieldInfo mergeFieldInfo, MergeState mergeState)`
Merges the sorted docvalues from `toMerge`.
`void`
DocValuesConsumer.`mergeSortedSetField(FieldInfo mergeFieldInfo, MergeState mergeState)`
Merges the sortedset docvalues from `toMerge`.
Constructors in org.apache.lucene.codecs with parameters of type MergeState
Modifier
Constructor
Description
``
`MergeVisitor(MergeState mergeState, int readerIndex)`
Create new merge visitor.

## Uses of MergeState in org.apache.lucene.codecs.compressing

Constructors in org.apache.lucene.codecs.compressing with parameters of type MergeState
Modifier
Constructor
Description
``
`MatchingReaders(MergeState mergeState)`

## Uses of MergeState in org.apache.lucene.codecs.hnsw

Methods in org.apache.lucene.codecs.hnsw with parameters of type MergeState
Modifier and Type
Method
Description
`abstract CloseableRandomVectorScorerSupplier`
FlatVectorsWriter.`mergeOneFieldToIndex(FieldInfo fieldInfo, MergeState mergeState)`
Write the field for merging, providing a scorer over the newly merged flat vectors.

## Uses of MergeState in org.apache.lucene.codecs.lucene90

Methods in org.apache.lucene.codecs.lucene90 with parameters of type MergeState
Modifier and Type
Method
Description
`void`
Lucene90PointsWriter.`merge(MergeState mergeState)`

## Uses of MergeState in org.apache.lucene.codecs.lucene90.compressing

Methods in org.apache.lucene.codecs.lucene90.compressing with parameters of type MergeState
Modifier and Type
Method
Description
`int`
Lucene90CompressingStoredFieldsWriter.`merge(MergeState mergeState)`
`int`
Lucene90CompressingTermVectorsWriter.`merge(MergeState mergeState)`

## Uses of MergeState in org.apache.lucene.codecs.lucene99

Methods in org.apache.lucene.codecs.lucene99 with parameters of type MergeState
Modifier and Type
Method
Description
`static ScalarQuantizer`
Lucene99ScalarQuantizedVectorsWriter.`mergeAndRecalculateQuantiles(MergeState mergeState, FieldInfo fieldInfo, Float confidenceInterval, byte bits)`
Merges the quantiles of the segments and recalculates the quantiles if necessary.
`void`
Lucene99FlatVectorsWriter.`mergeOneField(FieldInfo fieldInfo, MergeState mergeState)`
`void`
Lucene99HnswVectorsWriter.`mergeOneField(FieldInfo fieldInfo, MergeState mergeState)`
`void`
Lucene99ScalarQuantizedVectorsWriter.`mergeOneField(FieldInfo fieldInfo, MergeState mergeState)`
`CloseableRandomVectorScorerSupplier`
Lucene99FlatVectorsWriter.`mergeOneFieldToIndex(FieldInfo fieldInfo, MergeState mergeState)`
`CloseableRandomVectorScorerSupplier`
Lucene99ScalarQuantizedVectorsWriter.`mergeOneFieldToIndex(FieldInfo fieldInfo, MergeState mergeState)`

## Uses of MergeState in org.apache.lucene.index

Constructors in org.apache.lucene.index with parameters of type MergeState
Modifier
Constructor
Description
``
`MappedMultiFields(MergeState mergeState, MultiFields multiFields)`
Create a new MappedMultiFields for merging, based on the supplied mergestate and merged view of terms.